<template lang="">
    <navbar></navbar>
    <h1 class="text-center mt-12 text-4xl font-bold">Modificar Asistencia</h1>
    <div
      class="bg-white ml-24 mr-24 mt-12  border-2 border-black rounded-3xl"
    >
      <div class="overflow-auto">
        <table class="table w-auto h-auto m-auto mt-12 overflow-x-scroll mb-12">
          <thead
            class="flex flex-col items-center justify-between overflow-y-hidden w-full"
          >
            <tr class="">
              <th class="w-96 bg-white text-leftfont-bold text-2xl font-">ID</th>
  
              <th class="w-96 bg-white text-center font-bold text-2xl">
                Fecha Clase
              </th>
  
              <th class="w-96 bg-white text-end font-bold text-2xl">
                Asistencia
              </th>
              <th class="bg-white"></th>
            </tr>
          </thead>
          <div
            class="bg-grey-light items-center justify-between overflow-y-scroll w-full h-96"
          >
            <tbody v-for="asist in asistencia" :key="asist.asis_id">
                <tr v-if="asist.asistId != 0">
                <td 
                  class="w-96 text-justify bg-white text-xl font-semibold rounded-none"
                >
                  {{ asist.asisId }}
                </td>
  
                <td class="w-96 bg-white text-center text-xl font-semibold">
                  {{ asist.fechAsistencia.substring(0, 10) }}
                </td>
  
                <td
                  v-if="asist.estConfirmar == true"
                  class="w-96 bg-white text-xl text-end font-semibold rounded-none"
                >
                  <label class="">
                    <input type="checkbox" class="checkbox" checked />
                  </label>
                </td>
                <td
                  v-else="asist.estConfirmar == false"
                  class="w-96 bg-white text-xl text-end font-semibold rounded-none"
                >
                  <label class="">
                    <input type="checkbox" class="checkbox"  />
                  </label>
                </td>
                <td    v-if="asist.estConfirmar == true" class="bg-white">    
                      <button

                            type="submit"
                            @click="modificarAsistencia(asist)"
                            class="btn btn-primary inline-flex mt-12 mb-12 a justify-center align-middle font-semibold rounded-full border-2 border-black py-2 px-4 shadow-sm hover:bg-purple-900 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2   f"
                            >
                            Guardar
                            </button>
                    
                </td>
                <td    v-if="asist.estConfirmar == false" class="bg-white">    
                      <button

                            type="submit"
                            @click="modificarAsistencia(asist)"
                            class="btn btn-primary inline-flex mt-12 mb-12 a justify-center align-middle font-semibold rounded-full border-2 border-black py-2 px-4 shadow-sm hover:bg-purple-900 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2   f"
                            >
                            Guardar
                            </button>
                    
                </td>
              </tr>
              <div v-else class="alert alert-success shadow-lg text-center m-auto mt-10 ml-24">
                <div >
                    <svg xmlns="http://www.w3.org/2000/svg" class="stroke-current flex-shrink-0 h-6 w-6" fill="none" viewBox="0 0 24 24"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z" /></svg>
                    <span>La asistencia se ha modificado correctamente!</span>
                </div>
                </div>
            </tbody>
          </div>
        </table>
        
      </div>
      
    </div>
    <div class="text-center">
        <button

            type="submit"
            @click="$router.push('MainAsistenciaDocente')"
            class="btn btn-primary inline-flex mt-12 mb-12 a justify-center align-middle text-xl font-semibold rounded-full border-2 border-black py-2 px-4 shadow-sm hover:bg-purple-900 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2 h-20 w-44 f"
            >
            Guardar Asistencia
            </button>
    </div>

  </template>
  <script>
  import axios from "axios";
  import { ref } from "vue";
  var today = new Date();
  const show = ref(true);
  import navbar from '../../components/Navbar.vue'
  export default {
  components: { navbar },
    data() {
      return {
        asistencia: [],
        nro1: 5,
        nro2: 6,
        asiste:{
            id:"",
            fechAsistencia: today,
            estConfirmar: false,
        },
        boolean: true,

        alumnos: [],
        date:
            today.getFullYear() +
            "-" +
            (today.getMonth() + 1) +
            "-" +
            today.getDate(),

        };
    },
    mounted() {
      let vue = this;
      let fecha = "";
      axios.get("asistencia/listadoAsistencia").then(function (response) {
        vue.asistencia = response.data;
        vue.fecha = response.data[0].fechAsistencia;
        console.log(vue.fecha);
        console.log(vue.asistencia);
      });
    },
    methods:{
        modificarAsistencia(asist) {
     /* axios
        .post("asistencia/modificarAsistencia/", this.asiste, {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((response) => {
          console.log("Se ha registrado asistencia del alumno " + idAl);
        });*/
        asist.asistId = 0
   
    },
    }
  };
  </script>
  <style lang=""></style>
  